summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Qun-Ying <zhu.qunying@gmail.com>2016-08-27 06:46:41 +0700
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:40 +0100
commitcf1a2926c4433deee1c61f50186f220926f451f5 (patch)
treedabc2f41f8f67b8a95902bdf8976a703ab2490c7
parentbabda2b4335545a2cc6457904c507ad0729e062d (diff)
downloadslackbuilds-cf1a2926c4433deee1c61f50186f220926f451f5.tar.gz
slackbuilds-cf1a2926c4433deee1c61f50186f220926f451f5.tar.xz
misc/xdelta: Update DOWNLOAD url.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--misc/xdelta/xdelta.SlackBuild22
-rw-r--r--misc/xdelta/xdelta.info2
2 files changed, 11 insertions, 13 deletions
diff --git a/misc/xdelta/xdelta.SlackBuild b/misc/xdelta/xdelta.SlackBuild
index 79f82f3568..b9758e7f6d 100644
--- a/misc/xdelta/xdelta.SlackBuild
+++ b/misc/xdelta/xdelta.SlackBuild
@@ -11,7 +11,7 @@ TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -22,8 +22,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -36,7 +36,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -46,10 +46,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS -fgnu89-inline" \
CXXFLAGS="$SLKCFLAGS" \
@@ -66,7 +66,7 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
@@ -75,9 +75,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING INSTALL NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
diff --git a/misc/xdelta/xdelta.info b/misc/xdelta/xdelta.info
index b5eadf0980..31e9d0ada6 100644
--- a/misc/xdelta/xdelta.info
+++ b/misc/xdelta/xdelta.info
@@ -1,7 +1,7 @@
PRGNAM="xdelta"
VERSION="1.1.4"
HOMEPAGE="http://xdelta.org/"
-DOWNLOAD="http://xdelta.googlecode.com/files/xdelta-1.1.4.tar.gz"
+DOWNLOAD="http://pkgs.fedoraproject.org/repo/pkgs/xdelta/xdelta-1.1.4.tar.gz/1b896c01ebf0e353b7e3c3071b05f496/xdelta-1.1.4.tar.gz"
MD5SUM="1b896c01ebf0e353b7e3c3071b05f496"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""